<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
	"https://hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    
    <query name="findAllLoanInformationLastWeekByOffice">
        <![CDATA[
            SELECT 
                t
            FROM InformationLoanLastWeekView t
            WHERE idOffice = :idOffice 
            ORDER BY fecha ASC               
        ]]>
    </query>
    
    <query name="findAllSubtotalLastWeekByOffice">
        <![CDATA[
            SELECT 
                t
            FROM SubtotalLastWeekByUserView t
            WHERE office = :office 
        ]]>
    </query>
    
    <query name="findAllResumenInOutLastWeekByOffice">
        <![CDATA[
            SELECT 
                t
            FROM ResumenInOutLastWeekByUserView t
            WHERE office = :office 
        ]]>
    </query>
    
    <query name="findAllCobranzaLastWeekByOffice">
        <![CDATA[
            SELECT 
                t
            FROM CobranzaLastWeekByUserView t
            WHERE office = :office 
        ]]>
    </query>

</hibernate-mapping>
